Skip to main content
GET
/
bridge
/
api
/
v1
/
workspaces
/
{workspaceId}
/
contacts
List contacts with filtering and pagination
curl --request GET \
  --url https://api-connect-us.bridge.new/bridge/api/v1/workspaces/{workspaceId}/contacts \
  --header 'x-api-key: <api-key>'
{
  "contacts": [
    {
      "id": "<string>",
      "workspaceId": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "languageCode": "ES",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "email": "john.doe@example.com",
      "cellphone": "+14084029292",
      "customAttributes": [
        {
          "key": "<string>",
          "values": [
            "<string>"
          ]
        }
      ],
      "ownerId": "37673840-6259-40f9-bbe5-a7db40f8e3cf"
    }
  ],
  "cursor": "<string>"
}

Authorizations

x-api-key
string
header
required

Copy the API key as provided by the Bridge Console.

Path Parameters

workspaceId
string<uuid>
required

Unique identifier of the workspace (UUID v4).

Example:

"b6cf1c4a-2b1e-4e63-8f3e-0f9d1a2a1234"

Query Parameters

ownerEmail
string | null

Filter contacts by owner email address

search
string | null

Search contacts by name, email, or cellphone

Example:

"John Doe"

limit
integer
default:20

Number of contacts per page

Required range: 1 <= x <= 100
cursor
string | null

Cursor provided on before request to get next page

Response

Successful Response

Response body for listing contacts.

contacts
ContactResponse · object[]
required

Array of contacts.

cursor
string | null

Cursor to be send on next page.